<template>
    <v-row no-gutters justify="center" class="bg-grey pt-10">
        <v-col cols="3">
            <h2 class="text-center">Connectez-vous</h2>
            <v-text-field v-model="email" label="Email"/>
            <v-text-field v-model="password" type="password" label="Mot de passe"/>
            <v-btn block @click="login">Se connecter</v-btn>
            <div class="hover-text mt-4" @click="$router.push({ name: 'signup' })">Vous n'avez pas de compte ?</div>
            <v-divider class="my-12"></v-divider>
            <div class="text-center">
                <v-btn @click="loginGoogle" block class="my-3">
                    <v-icon class="mr-3">mdi-google</v-icon>
                    Se connecter avec google
                </v-btn>
            </div>
        </v-col>
    </v-row>
</template>

<script>
export default {
    name: "LoginView",
    data() {
        return {
            email: '',
            password: ''
        }
    },
    methods: {
        async loginGoogle() {
            try {
                await this.$store.dispatch('user/loginGoogle');
                await this.$router.push({ name: 'home' });
            } catch (e) {
                console.error(e);
            }
        },
        async login() {
            try {
                const payload = {
                    email: this.email,
                    password: this.password
                }
                await this.$store.dispatch('user/login', payload);
                await this.$router.push({ name: 'home' });
            } catch (e) {
                console.error(e);
            }
        }
    }
};
</script>

<style>
.v-btn {
    text-transform: none;
}
.hover-text:hover {
    text-decoration: underline;
}
.hover-text {
    cursor: pointer;
}
</style>
